io.vertx.rxjava.ext.web.handler

## Class BodyHandler

- java.lang.Object
- - io.vertx.rxjava.ext.web.handler.BodyHandler

- All Implemented Interfaces:
    Handler<RoutingContext>

      public class BodyHandler
      extends Object
      implements Handler<RoutingContext>

  A handler which gathers the entire request body and sets it on the .

  It also handles HTTP file uploads and can be used to limit body sizes.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<BodyHandler>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BodyHandler(BodyHandler delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BodyHandler` | `create()` Create a body handler with defaults
    `static BodyHandler` | `create(String uploadDirectory)` Create a body handler and use the given upload directory.
    `BodyHandler` | `getDelegate()`
    `void` | `handle(RoutingContext arg0)` Something has happened, so handle it.
    `static BodyHandler` | `newInstance(BodyHandler arg)`
    `BodyHandler` | `setBodyLimit(long bodyLimit)` Set the maximum body size -1 means unlimited
    `BodyHandler` | `setDeleteUploadedFilesOnEnd(boolean deleteUploadedFilesOnEnd)` Set whether uploaded files should be removed after handling the request
    `BodyHandler` | `setMergeFormAttributes(boolean mergeFormAttributes)` Set whether form attributes will be added to the request parameters
    `BodyHandler` | `setUploadsDirectory(String uploadsDirectory)` Set the uploads directory to use

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<BodyHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### BodyHandler

          public BodyHandler(BodyHandler delegate)

  - ### Method Detail

    - #### getDelegate

          public BodyHandler getDelegate()

    - #### handle

          public void handle(RoutingContext arg0)

      Description copied from interface: `Handler`
      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `arg0` - the event to handle

    - #### create

          public static BodyHandler create()

      Create a body handler with defaults
      Returns:
        the body handler

    - #### create

          public static BodyHandler create(String uploadDirectory)

      Create a body handler and use the given upload directory.
      Parameters:
        `uploadDirectory` - the uploads directory
      Returns:
        the body handler

    - #### setBodyLimit

          public BodyHandler setBodyLimit(long bodyLimit)

      Set the maximum body size -1 means unlimited
      Parameters:
        `bodyLimit` - the max size
      Returns:
        reference to this for fluency

    - #### setUploadsDirectory

          public BodyHandler setUploadsDirectory(String uploadsDirectory)

      Set the uploads directory to use
      Parameters:
        `uploadsDirectory` - the uploads directory
      Returns:
        reference to this for fluency

    - #### setMergeFormAttributes

          public BodyHandler setMergeFormAttributes(boolean mergeFormAttributes)

      Set whether form attributes will be added to the request parameters
      Parameters:
        `mergeFormAttributes` - true if they should be merged
      Returns:
        reference to this for fluency

    - #### setDeleteUploadedFilesOnEnd

          public BodyHandler setDeleteUploadedFilesOnEnd(boolean deleteUploadedFilesOnEnd)

      Set whether uploaded files should be removed after handling the request
      Parameters:
        `deleteUploadedFilesOnEnd` - true if uploaded files should be removed after handling the request
      Returns:
        reference to this for fluency

    - #### newInstance

          public static BodyHandler newInstance(BodyHandler arg)

Copyright © 2017. All rights reserved.